@echo off
cd /d "%~dp0"
if not exist "%LocalAppData%\Microsoft\Windows\Fonts\WTVGOTHIC-S.ttc" (
    if not exist "%windir%\WTVGOTHIC-S.ttc" (
        powershell -Command "$shell = New-Object -ComObject WScript.Shell; $objshell = New-Object -ComObject Shell.Application; $objFolder = $objShell.Namespace(\"C:\Windows\Fonts\"); $objFolder.CopyHere(\"%~dp0Plugins\TVCaptionMod2\WTVGOTHIC-S.ttc\");"
    )
)
if not exist "%LocalAppData%\Microsoft\Windows\Fonts\WTVGOTHIC-R.ttc" (
    if not exist "%windir%\WTVGOTHIC-R.ttc" (
        powershell -Command "$shell = New-Object -ComObject WScript.Shell; $objshell = New-Object -ComObject Shell.Application; $objFolder = $objShell.Namespace(\"C:\Windows\Fonts\"); $objFolder.CopyHere(\"%~dp0Plugins\TVCaptionMod2\WTVGOTHIC-R.ttc\");"
    )
)
if not exist "%LocalAppData%\Microsoft\Windows\Fonts\WTVGOTHIC-RB.ttc" (
    if not exist "%windir%\WTVGOTHIC-RB.ttc" (
        powershell -Command "$shell = New-Object -ComObject WScript.Shell; $objshell = New-Object -ComObject Shell.Application; $objFolder = $objShell.Namespace(\"C:\Windows\Fonts\"); $objFolder.CopyHere(\"%~dp0Plugins\TVCaptionMod2\WTVGOTHIC-RB.ttc\");"
    )
)
regsvr32.exe TVTestVideoDecoder.ax /s
regsvr32.exe TvtAudioStretchFilter.ax /s
if %errorlevel% neq 0 (
    goto error
)
echo.
echo.
echo    フィルタのインストールに成功しました。
echo.
echo    フォルダーを移動した場合は、もう一度 install.bat を管理者として実行してください。
echo.
goto done
:error
echo.
echo.
echo    フィルタのインストールに失敗しました…
echo.
echo    install.bat を右クリックし、管理者として実行してください。
echo.
:done
echo    終了するには何かキーを押してください…
echo.
pause >NUL
